Bug 881665

Summary: RFE: Provide a simple method to disable networking
Product: [Fedora] Fedora Reporter: Marko Myllynen <myllynen>
Component: NetworkManagerAssignee: Dan Williams <dcbw>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: danw, dcbw, johannbg, lnykryn, metherid, mishu, mschmidt, msekleta, notting, plautrba, psimerda, systemd-maint, vpavlin
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 08:21:59 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Marko Myllynen 2012-11-29 04:59:21 EST
Description of problem:
Extracted from bug 815243. Currently with F18 Beta to disable networking completely the superuser needs to disable and stop the NetworkManager and network services and then loop over the network interfaces to make sure networking is really disabled. Compared to earlier Fedoras where "service NetworkManager stop ; service network stop" did the trick this is clumsy given that today it is not atypical to have 4 or 8 or even more NICs on a system.

Please provide a simple method for the superuser to disable networking at will.

Version-Release number of selected component (if applicable):
Fedora 18 Beta

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=815243#c30
https://bugzilla.redhat.com/show_bug.cgi?id=815243#c33
Comment 1 Pavel Šimerda (pavlix) 2012-11-29 05:59:18 EST
AFAIK the future lies in using only NetworkManager for network configuration. Stopping NetworkManager doesn't clear the interfaces by design. But you can
disable networking with NetworkManager using nmcli.

(In reply to comment #0)
> Compared to earlier Fedoras where "service
> NetworkManager stop ; service network stop" did the trick this is clumsy
> given that today it is not atypical to have 4 or 8 or even more NICs on a
> system.

You are right that this was a trick, or hack, not a supported method IMO.
Comment 2 Michal Schmidt 2012-11-29 07:15:19 EST
I don't why this is filed against systemd. systemd sets up the loopback interface, but it's not involved in other interfaces.
Comment 3 Dan Williams 2012-12-06 18:51:59 EST
At the moment functionality to stop NetworkManager does not exist, perhaps we could add a D-Bus command to NM to tell it to quit and actually clear all interface configuration.  Like pavel says, NetworkManager is meant to be either disabled or running all the time, and if you're somebody who needs to disable NetworkManager, then you're obviously somebody who knows enough to manually configure interfaces too.  Plus, given that this operation would only ever occur once (because after that, NetworkManager would be disabled) it's not a particularly high priority.
Comment 4 Fedora End Of Life 2013-12-21 04:32:32 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 08:22:02 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.